implicit real*8 (a-h, o-z)
      dimension w(3000000),x(3000000),y(3000000),z(3000000)
      !データ入力
      print *,"節点数を入力して下さい"
      read*, nset !節点数の読み込み
      do i=1,nset
      !print *,"それぞれの節点を入力して下さい"
      read*, w(i),x(i),y(i),z(i)!各節点の座標値の読み込み
      end do
      !合計点の計算
      goukei=0.
      do i=1,nset
      goukei=goukei+x(i)
      end do
      !合計点を人数で割って平均点を出す
      print *,"平均点は:",goukei/nset
      end
